openSUSE Security Update : dosbox (openSUSE-2019-1905)

High Nessus Plugin ID 127997

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for dosbox fixes the following issues :

Security issues fixed :

- CVE-2019-7165: Fixed that a very long line inside a bat file would overflow the parsing buffer (bnc#1140254).

- CVE-2019-12594: Added a basic permission system so that a program running inside DOSBox can't access the contents of /proc (e.g. /proc/self/mem) when / or /proc were (to be) mounted (bnc#1140254).

- Several other fixes for out of bounds access and buffer overflows.

Solution

Update the affected dosbox packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1140254

Plugin Details

Severity: High

ID: 127997

File Name: openSUSE-2019-1905.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2019/08/20

Updated: 2019/08/20

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:dosbox, p-cpe:/a:novell:opensuse:dosbox-debuginfo, p-cpe:/a:novell:opensuse:dosbox-debugsource, cpe:/o:novell:opensuse:15.0, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2019/08/15

Vulnerability Publication Date: 2019/07/02

Reference Information

CVE: CVE-2019-12594, CVE-2019-7165